%define po_package %{name}

Name:		mate-control-center
Version:	1.4.0
Release:	1%{?dist}
Summary:	MATE Desktop control-center
License:	LGPLv2+ and GPLv2+
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz

BuildRequires:	icon-naming-utils mate-common mate-conf-devel mate-corba-devel mate-desktop-devel mate-doc-utils mate-menus-devel mate-settings-daemon-devel dbus-glib-devel gtk+-devel libmatekbd-devel libmatenotify-devel libxklavier-devel nss-devel polkit-devel unique-devel

Requires(pre):	mate-conf
Requires(post):	mate-conf
Requires(preun):	mate-conf
Requires:	mate-conf

%description
mate settings daemon

%package devel
Summary:	Development files for mate-settings-daemon
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for mate-settings-daemon

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh


%build
%configure --disable-static --disable-schemas-install --enable-aboutme
make %{?_smp_mflags} V=1


%install
export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=%{buildroot} install
%find_lang %{po_package}
find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'

desktop-file-install									\
	--remove-category="MATE"							\
	--add-category="X-Mate"								\
	--remove-only-show-in="MATE"							\
	--add-only-show-in="X-MATE"							\
	--delete-original								\
	--dir=%{buildroot}%{_datadir}/applications					\
%{buildroot}%{_datadir}/applications/*.desktop

#keeping this here as a placeholder for now.
#desktop-file-install									\
#	--remove-category="MATE"							\
#	--add-category="X-Mate"								\
#	--remove-only-show-in="MATE"							\
#	--add-only-show-in="X-MATE"							\
#	--delete-original								\
#	--dir=%{buildroot}%{_sysconfdir}/xdg/autostart					\
#%{buildroot}%{_sysconfdir}/xdg/autostart/mate-at-session.desktop
#%{buildroot}%{_datadir}/applications/default-applications.desktop
#%{buildroot}%{_datadir}/applications/display-properties.desktop
#%{buildroot}%{_datadir}/applications/keyboard.desktop
#%{buildroot}%{_datadir}/applications/mate-appearance-properties.desktop
#%{buildroot}%{_datadir}/applications/mate-font-viewer.desktop
#%{buildroot}%{_datadir}/applications/mate-keybinding.desktop
#%{buildroot}%{_datadir}/applications/mate-network-properties.desktop
#%{buildroot}%{_datadir}/applications/mate-settings-mouse.desktop
#%{buildroot}%{_datadir}/applications/mate-theme-installer.desktop
#%{buildroot}%{_datadir}/applications/matecc.desktop
#%{buildroot}%{_datadir}/applications/mimeinfo.cache
#%{buildroot}%{_datadir}/applications/window-properties.desktop

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/at-properties.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/default-applications.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/display-properties.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/keyboard.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-appearance-properties.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-font-viewer.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-keybinding.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-network-properties.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-settings-mouse.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-theme-installer.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/matecc.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/window-properties.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-about-me.desktop
#desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/mate-at-session.desktop
#desktop-file-validate %{buildroot}%{_datadir}/applications/mimeinfo.cache
unset MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%pre
if [ "$1" -gt 1 ] ; then
export MATECONF_CONFIG_SOURCE="xml:merged:/etc/mateconf/mateconf.xml.defaults"
        mateconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/mateconf/schemas/*.schemas
        > /dev/null || :
fi

%post
/sbin/ldconfig
/usr/bin/update-desktop-database &> /dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime/* &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
export MATECONF_CONFIG_SOURCE="xml:merged:/etc/mateconf/mateconf.xml.defaults"
        mateconftool-2 --makefile-install-rule        \
        %{_sysconfdir}/mateconf/schemas/*.schemas       \
        > /dev/null || :


%postun
/sbin/ldconfig
/usr/bin/update-desktop-database &> /dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime/* &> /dev/null || :
export MATECONF_CONFIG_SOURCE="xml:merged:/etc/mateconf/mateconf.xml.defaults"
        mateconftool-2 --makefile-uninstall-rule        \
        %{_sysconfdir}/mateconf/schemas/*.schemas       \
        > /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{po_package}.lang
%doc AUTHORS COPYING README
%config(noreplace) %{_sysconfdir}/mateconf/schemas/control-center.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/fontilus.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/mate-control-center.schemas
%config(noreplace) %{_sysconfdir}/xdg/autostart/mate-at-session.desktop
%config(noreplace) %{_sysconfdir}/xdg/menus/matecc.menu
%{_bindir}/mate-about-me
%{_bindir}/mate-appearance-properties
%{_bindir}/mate-at-mobility
%{_bindir}/mate-at-properties
%{_bindir}/mate-at-visual
%{_bindir}/mate-control-center
%{_bindir}/mate-default-applications-properties
%{_bindir}/mate-display-properties
%{_bindir}/mate-font-viewer
%{_bindir}/mate-keybinding-properties
%{_bindir}/mate-keyboard-properties
%{_bindir}/mate-mouse-properties
%{_bindir}/mate-network-properties
%{_bindir}/mate-thumbnail-font
%{_bindir}/mate-window-properties
%{_libdir}/libmate-window-settings.so.1
%{_libdir}/libmate-window-settings.so.1.0.0
%{_sbindir}/mate-display-properties-install-systemwide
%{_datadir}/applications/at-properties.desktop
%{_datadir}/applications/default-applications.desktop
%{_datadir}/applications/display-properties.desktop
%{_datadir}/applications/keyboard.desktop
%{_datadir}/applications/mate-about-me.desktop
%{_datadir}/applications/mate-appearance-properties.desktop
%{_datadir}/applications/mate-font-viewer.desktop
%{_datadir}/applications/mate-keybinding.desktop
%{_datadir}/applications/mate-network-properties.desktop
%{_datadir}/applications/mate-settings-mouse.desktop
%{_datadir}/applications/mate-theme-installer.desktop
%{_datadir}/applications/matecc.desktop
%{_datadir}/applications/mimeinfo.cache
%{_datadir}/applications/window-properties.desktop
%{_datadir}/desktop-directories/matecc.directory
%{_datadir}/icons/hicolor/16x16/apps/*.png
%{_datadir}/icons/hicolor/22x22/apps/*.png
%{_datadir}/icons/hicolor/24x24/apps/*.png
%{_datadir}/icons/hicolor/32x32/apps/*.png
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/mate-network-properties.svg
%{_datadir}/icons/hicolor/scalable/apps/mate-preferences-desktop-display.svg
%{_datadir}/mate-control-center/
%{_datadir}/mate/cursor-fonts/*.pcf
%{_datadir}/mate/help/mate-control-center/
%{_datadir}/mime/XMLnamespaces
%{_datadir}/mime/aliases
%{_datadir}/mime/application/x-mate-theme-package.xml
%{_datadir}/mime/generic-icons
%{_datadir}/mime/globs
%{_datadir}/mime/globs2
%{_datadir}/mime/icons
%{_datadir}/mime/magic
%{_datadir}/mime/mime.cache
%{_datadir}/mime/packages/mate-theme-package.xml
%{_datadir}/mime/subclasses
%{_datadir}/mime/treemagic
%{_datadir}/mime/types
%{_datadir}/mime/version
%{_datadir}/omf/mate-control-center/
%{_datadir}/polkit-1/actions/org.mate.randr.policy

%files devel
%{_includedir}/mate-window-settings-2.0/
%{_libdir}/pkgconfig/mate-window-settings-2.0.pc
%{_libdir}/window-manager-settings/libmarco.so
%{_libdir}/libmate-window-settings.so
%{_datadir}/pkgconfig/mate-default-applications.pc
%{_datadir}/pkgconfig/mate-keybindings.pc

%changelog
* Sat Sep 01 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
- Initial build
